[Overview][Classes][Procedures and functions][Index] | Reference for unit '_crw_spk' (#crwlib)

# TSpeaker

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

## Declaration

Source position: _crw_spk.pas line 93

`type TSpeaker = class(TLatch)`
`public`
`constructor Create;`
`destructor Destroy; override;`
`property Engine: Integer; [rw]`
`property Engines: TText; [r]`
`property Speak: LongString; [w]`
`property Pause: Boolean; [rw]`
`property Wait: Boolean; [rw]`
`property Rate: LongInt; [rw]`
`property Pitch: LongInt; [rw]`
`property Speed: LongInt; [rw]`
`property Volume: LongInt; [rw]`
`procedure Stop();`
`end;`

## Inheritance

`TSpeaker`
`TLatch`
`TMasterObject`
`TObject`